CmdMessenger 4.0.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Events
CommandMessenger.Queue.ReceiveCommandQueue Class Reference

Queue of received commands. More...

Inheritance diagram for CommandMessenger.Queue.ReceiveCommandQueue:

List of all members.

## Public Member Functions
delegate void | HandleReceivedCommandDelegate (ReceivedCommand receivedCommand)
| ReceiveCommandQueue (HandleReceivedCommandDelegate receivedCommandHandler)
ReceivedCommand | DequeueCommand ()
| Dequeue the received command.
ReceivedCommand | WaitForCmd (int timeOut, int cmdId, SendQueue sendQueueState)
void | QueueCommand (ReceivedCommand receivedCommand)
| Queue the received command.
override void | QueueCommand (CommandStrategy commandStrategy)
| Queue the command wrapped in a command strategy.
## Protected Member Functions
override bool | ProcessQueue ()
| Process the queue.
## Events
EventHandler< CommandEventArgs > | NewLineReceived

## Detailed Description

Queue of received commands.

## Member Function Documentation

ReceivedCommand CommandMessenger.Queue.ReceiveCommandQueue.DequeueCommand | ( |  | ) |

Dequeue the received command.

Returns:
  The received command.

override bool CommandMessenger.Queue.ReceiveCommandQueue.ProcessQueue | ( |  | ) | `[protected, virtual]`

Process the queue.

Implements CommandMessenger.Queue.CommandQueue.

void CommandMessenger.Queue.ReceiveCommandQueue.QueueCommand | ( | ReceivedCommand | receivedCommand | ) |

Queue the received command.

Parameters:

  receivedCommand | The received command.

override void CommandMessenger.Queue.ReceiveCommandQueue.QueueCommand | ( | CommandStrategy | commandStrategy | ) | `[virtual]`

Queue the command wrapped in a command strategy.

Parameters:

  commandStrategy | The command strategy.

Implements CommandMessenger.Queue.CommandQueue.

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino/Own Arduino libraries/CmdMessenger/Arduino-CmdMessenger/extras/CSharp/CommandMessenger/Queue/ReceiveCommandQueue.cs